ICMP6
lwIP » Options (lwipopts.h) » IPv6

## Macros

#define | LWIP_ICMP6 LWIP_IPV6
#define | LWIP_ICMP6_DATASIZE 0
#define | LWIP_ICMP6_HL 255

## Detailed Description

## Macro Definition Documentation

## LWIP_ICMP6

#define LWIP_ICMP6 LWIP_IPV6

LWIP_ICMP6==1: Enable ICMPv6 (mandatory per RFC)

## LWIP_ICMP6_DATASIZE

#define LWIP_ICMP6_DATASIZE 0

LWIP_ICMP6_DATASIZE: bytes from original packet to send back in ICMPv6 error messages (0 = default of IP6_MIN_MTU_LENGTH) ATTENTION: RFC4443 section 2.4 says IP6_MIN_MTU_LENGTH is a MUST, so override this only if you absolutely have to!

## LWIP_ICMP6_HL

#define LWIP_ICMP6_HL 255

LWIP_ICMP6_HL: default hop limit for ICMPv6 messages